summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author Gustavo Conrad2020-06-16 05:42:45 +0200
committer Willy Sudiarto Raharjo2020-06-20 02:59:27 +0200
commit9fc724612e1769f0eabab0bed1b078c6aa0d7584 (patch)
tree8ac1b76da770075db9c4c56ed91efb90fe0b61e5 /ham
parent3e3c0a55c9879c6d8c7e3c7783dc9fd30e824634 (diff)
downloadslackbuilds-9fc724612e1769f0eabab0bed1b078c6aa0d7584.tar.gz
ham/flmsg: Added (Amateur radio messaging tool)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/flmsg/README10
-rw-r--r--ham/flmsg/doinst.sh3
-rw-r--r--ham/flmsg/flmsg.SlackBuild105
-rw-r--r--ham/flmsg/flmsg.info10
-rw-r--r--ham/flmsg/slack-desc19
5 files changed, 147 insertions, 0 deletions
diff --git a/ham/flmsg/README b/ham/flmsg/README
new file mode 100644
index 0000000000..2098aae612
--- /dev/null
+++ b/ham/flmsg/README
@@ -0,0 +1,10 @@
+FLMSG - Amateur radio messaging tool
+
+FLMSG is a simple forms management editor for the amateur radio supported
+standard message formats. Form data can be transferred between computers
+either using standard internet email or via radio frequency broadcasts
+typically made by an amateur radio operator on your behalf.
+flmsg forms can be very complex and include embedded images and other controls
+that make data entry less prone to error.
+
+FLMSG sits on top of FLDIGI, which does the real signal processing.
diff --git a/ham/flmsg/doinst.sh b/ham/flmsg/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/ham/flmsg/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/ham/flmsg/flmsg.SlackBuild b/ham/flmsg/flmsg.SlackBuild
new file mode 100644
index 0000000000..2afb1e9dce
--- /dev/null
+++ b/ham/flmsg/flmsg.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+# Slackbuild for flmsg
+#
+# Based on work done by JK Wood joshuakwood@gmail.com
+# on fldigi slackbuild
+#
+# Copyright Gustavo Conrad - LU7WA (gus3963 gmail)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=flmsg
+VERSION=${VERSION:-4.0.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --without-asciidoc
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+#find $PKG/usr/man -type f -exec gzip -9 {} \;
+#for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/flmsg/flmsg.info b/ham/flmsg/flmsg.info
new file mode 100644
index 0000000000..f6edbe1714
--- /dev/null
+++ b/ham/flmsg/flmsg.info
@@ -0,0 +1,10 @@
+PRGNAM="flmsg"
+VERSION="4.0.15"
+HOMEPAGE="http://www.w1hkj.com/"
+DOWNLOAD="http://www.w1hkj.com/files/flmsg/flmsg-4.0.15.tar.gz"
+MD5SUM="abf8c6e99a35efb548502768862b4278"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="fldigi"
+MAINTAINER="Gustavo Conrad"
+EMAIL="gus3963@gmail.com"
diff --git a/ham/flmsg/slack-desc b/ham/flmsg/slack-desc
new file mode 100644
index 0000000000..dc10dbc90c
--- /dev/null
+++ b/ham/flmsg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+flmsg: flmsg (Amateur radio messaging tool)
+flmsg:
+flmsg: flmsg FLMSG is a simple forms management editor for the amateur radio
+flmsg: supported standard message formats.
+flmsg: Form data can be transferred between computers either using standard
+flmsg: internet email or via radio frequency broadcasts typically made by an
+flmsg: amateur radio operaton on your behalf.
+flmsg: flmsg forms can be very complex and include embedded images and other
+flmsg: controls. that make data entry less prone to error.
+flmsg: FLMSG sits on top of FLDIGI which does the real signal processing.
+flmsg: Webpage http://w1hkj.com